com.gisgraphy.domain.valueobject

## Enum ImporterStatus

- java.lang.Object
- - java.lang.Enum<ImporterStatus>
  - - com.gisgraphy.domain.valueobject.ImporterStatus

- All Implemented Interfaces:
    Serializable, Comparable<ImporterStatus>

      public enum ImporterStatus
      extends Enum<ImporterStatus>

  The differents status an importer can have
  Author:
    David Masclet
  See Also:
    `ImporterStatusDto`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` process is in error
    `PROCESSED` Process is finished
    `PROCESSING` process currently in progress
    `SKIPPED` Process is skiped and not executed
    `UNKNOW` Can not determine the status
    `WAITING` Process has not been done yet

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImporterStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImporterStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOW

          public static final ImporterStatus UNKNOW

      Can not determine the status

    - #### WAITING

          public static final ImporterStatus WAITING

      Process has not been done yet

    - #### PROCESSING

          public static final ImporterStatus PROCESSING

      process currently in progress

    - #### PROCESSED

          public static final ImporterStatus PROCESSED

      Process is finished

    - #### ERROR

          public static final ImporterStatus ERROR

      process is in error

    - #### SKIPPED

          public static final ImporterStatus SKIPPED

      Process is skiped and not executed

  - ### Method Detail

    - #### values

          public static ImporterStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImporterStatus c : ImporterStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImporterStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.